DAS (BioJava-1.5-beta API)
Keywords: org.biojava.bio.program.das.DAS class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.program.das
Class DAS

    java.lang.Object
      org.biojava.utils.AbstractChangeable
          org.biojava.bio.program.das.DAS

All Implemented Interfaces:
  Changeable

    public class DAS

extends AbstractChangeable

A collection of DAS datasources.

Author:
  Matthew Pocock, Thomas Down

Field Summary
`static ChangeType` | `SERVERS`

Constructor Summary
`DAS()`

Method Summary
`static void` | `activityProgress(Object source, int current, int target)`
`static void` | `addActivityListener(ActivityListener al)`
`void` | `addDasURL(URL dasURL)`
`static void` | `completedActivity(Object source)`
`Set` | `getReferenceServers()`
`static boolean` | `getThreadFetches()`
`static Set` | `getTypes(URL dasURL)`
`static void` | `removeActivityListener(ActivityListener al)`
`static void` | `setThreadFetches(boolean b)`
`static void` | `startedActivity(Object source)`

Methods inherited from class org.biojava.utils.AbstractChangeable
`addChangeListener, addChangeListener, generateChangeSupport, getChangeSupport, hasListeners, hasListeners, isUnchanging, removeChangeListener, removeChangeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SERVERS

    public static final ChangeType SERVERS

Constructor Detail

### DAS

    public DAS()

Method Detail

### getTypes

    public static Set getTypes(URL dasURL)
                        throws BioException

  Throws:
    `BioException`

### setThreadFetches

    public static void setThreadFetches(boolean b)

### getThreadFetches

    public static boolean getThreadFetches()

### addActivityListener

    public static void addActivityListener(ActivityListener al)

### removeActivityListener

    public static void removeActivityListener(ActivityListener al)

### startedActivity

    public static void startedActivity(Object source)

### completedActivity

    public static void completedActivity(Object source)

### activityProgress

    public static void activityProgress(Object source,
                                        int current,
                                        int target)

### addDasURL

    public void addDasURL(URL dasURL)
                   throws BioException,
                          ChangeVetoException

  Throws:
    `BioException`
    `ChangeVetoException`

### getReferenceServers

    public Set getReferenceServers()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD